dnl aclocal.m4 generated automatically by aclocal 1.4

dnl Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
dnl This file is free software; the Free Software Foundation
dnl gives unlimited permission to copy and/or distribute it,
dnl with or without modifications, as long as this notice is preserved.

dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY, to the extent permitted by law; without
dnl even the implied warranty of MERCHANTABILITY or FITNESS FOR A
dnl PARTICULAR PURPOSE.

# Do all the work for Automake.  This macro actually does too much --
# some checks are only needed if your package does certain things.
# But this isn't really a big deal.

# serial 1

dnl Usage:
dnl AM_INIT_AUTOMAKE(package,version, [no-define])

AC_DEFUN(AM_INIT_AUTOMAKE,
[AC_REQUIRE([AC_PROG_INSTALL])
PACKAGE=[$1]
AC_SUBST(PACKAGE)
VERSION=[$2]
AC_SUBST(VERSION)
dnl test to see if srcdir already configured
if test "`cd $srcdir && pwd`" != "`pwd`" && test -f $srcdir/config.status; then
  AC_MSG_ERROR([source directory already configured; run "make distclean" there first])
fi
ifelse([$3],,
AC_DEFINE_UNQUOTED(PACKAGE, "$PACKAGE", [Name of package])
AC_DEFINE_UNQUOTED(VERSION, "$VERSION", [Version number of package]))
AC_REQUIRE([AM_SANITY_CHECK])
AC_REQUIRE([AC_ARG_PROGRAM])
dnl FIXME This is truly gross.
missing_dir=`cd $ac_aux_dir && pwd`
AM_MISSING_PROG(ACLOCAL, aclocal, $missing_dir)
AM_MISSING_PROG(AUTOCONF, autoconf, $missing_dir)
AM_MISSING_PROG(AUTOMAKE, automake, $missing_dir)
AM_MISSING_PROG(AUTOHEADER, autoheader, $missing_dir)
AM_MISSING_PROG(MAKEINFO, makeinfo, $missing_dir)
AC_REQUIRE([AC_PROG_MAKE_SET])])

#
# Check to make sure that the build environment is sane.
#

AC_DEFUN(AM_SANITY_CHECK,
[AC_MSG_CHECKING([whether build environment is sane])
# Just in case
sleep 1
echo timestamp > conftestfile
# Do `set' in a subshell so we don't clobber the current shell's
# arguments.  Must try -L first in case configure is actually a
# symlink; some systems play weird games with the mod time of symlinks
# (eg FreeBSD returns the mod time of the symlink's containing
# directory).
if (
   set X `ls -Lt $srcdir/configure conftestfile 2> /dev/null`
   if test "[$]*" = "X"; then
      # -L didn't work.
      set X `ls -t $srcdir/configure conftestfile`
   fi
   if test "[$]*" != "X $srcdir/configure conftestfile" \
      && test "[$]*" != "X conftestfile $srcdir/configure"; then

      # If neither matched, then we have a broken ls.  This can happen
      # if, for instance, CONFIG_SHELL is bash and it inherits a
      # broken ls alias from the environment.  This has actually
      # happened.  Such a system could not be considered "sane".
      AC_MSG_ERROR([ls -t appears to fail.  Make sure there is not a broken
alias in your environment])
   fi

   test "[$]2" = conftestfile
   )
then
   # Ok.
   :
else
   AC_MSG_ERROR([newly created file is older than distributed files!
Check your system clock])
fi
rm -f conftest*
AC_MSG_RESULT(yes)])

dnl AM_MISSING_PROG(NAME, PROGRAM, DIRECTORY)
dnl The program must properly implement --version.
AC_DEFUN(AM_MISSING_PROG,
[AC_MSG_CHECKING(for working $2)
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf.  Sigh.
if ($2 --version) < /dev/null > /dev/null 2>&1; then
   $1=$2
   AC_MSG_RESULT(found)
else
   $1="$3/missing $2"
   AC_MSG_RESULT(missing)
fi
AC_SUBST($1)])

# Configure paths for GAUGE^3D
# Kenton Varda 11/14/2000
# stolen from Sam Lantinga
# stolen from Manish Singh
# stolen back from Frank Belew
# stolen from Manish Singh
# Shamelessly stolen from Owen Taylor

# Kenton says:  autoconf doesn't like C++.  Anyone know how to make
# it compile a C++ test program that links to gauge?

dnl AM_PATH_GAUGE3D([MINIMUM-VERSION, [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]]])
dnl Test for GAUGE^3D, and define GAUGE3D_CFLAGS and GAUGE3D_LIBS
dnl
AC_DEFUN(AM_PATH_GAUGE3D,
[
	dnl
	dnl Get the cflags and libraries from the gauge3d-config script
	dnl
	AC_ARG_WITH(gauge3d-prefix,[  --with-gauge3d-prefix=PFX   Prefix where GAUGE3D is installed (optional)],
	            gauge3d_prefix="$withval", gauge3d_prefix="")
	AC_ARG_WITH(gauge3d-exec-prefix,[  --with-gauge3d-exec-prefix=PFX Exec prefix where GAUGE3D is installed (optional)],
	            gauge3d_exec_prefix="$withval", gauge3d_exec_prefix="")

	if test x$gauge3d_exec_prefix != x ; then
		gauge3d_args="$gauge3d_args --exec-prefix=$gauge3d_exec_prefix"
		if test x${GAUGE3D_CONFIG+set} != xset ; then
			GAUGE3D_CONFIG=$gauge3d_exec_prefix/bin/gauge3d-config
		fi
	fi
	if test x$gauge3d_prefix != x ; then
		gauge3d_args="$gauge3d_args --prefix=$gauge3d_prefix"
		if test x${GAUGE3D_CONFIG+set} != xset ; then
			GAUGE3D_CONFIG=$gauge3d_prefix/bin/gauge3d-config
		fi
	fi
	
	AC_PATH_PROG(GAUGE3D_CONFIG, gauge3d-config, no)
	
	min_gauge3d_version=ifelse([$1], ,0.1.0,$1)
	AC_MSG_CHECKING(for GAUGE3D - version >= $min_gauge3d_version)
	
	min_gauge3d_major_version=`echo $min_gauge3d_version | \
		sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\1/'`
	min_gauge3d_minor_version=`echo $min_gauge3d_version | \
		sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\2/'`
	min_gauge3d_micro_version=`echo $min_gauge3d_version | \
		sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\3/'`
	
	no_gauge3d=""
	if test "$GAUGE3D_CONFIG" = "no" ; then
		no_gauge3d=yes
	else
		GAUGE3D_CFLAGS=`$GAUGE3D_CONFIG $gauge3dconf_args --cflags`
		GAUGE3D_LIBS=`$GAUGE3D_CONFIG $gauge3dconf_args --libs`
		
		gauge3d_version=`$GAUGE3D_CONFIG $gauge3d_config_args --version`
		gauge3d_major_version=`echo $gauge3d_version | \
			sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\1/'`
		gauge3d_minor_version=`echo $gauge3d_version | \
			sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\2/'`
		gauge3d_micro_version=`echo $gauge3d_version | \
			sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\3/'`
		
		dnl See?  We don't need a C program to do this.
		if test $gauge3d_major_version -lt $min_gauge3d_major_version; then
			no_gauge3d=yes
		elif test $gauge3d_major_version -eq $min_gauge3d_major_version; then
			if test $gauge3d_minor_version -lt $min_gauge3d_minor_version; then
				no_gauge3d=yes
			elif test $gauge3d_minor_version -eq $min_gauge3d_minor_version; then
				if test $gauge3d_micro_version -lt $min_gauge3d_micro_version; then
					no_gauge3d=yes
				fi
			fi
		fi
	fi
	
	if test "x$no_gauge3d" = x ; then
		AC_MSG_RESULT(yes)
		ifelse([$2], , :, [$2])
	else
		AC_MSG_RESULT(no)
		if test "$GAUGE3D_CONFIG" = "no" ; then
			echo "*** The gauge3d-config script installed by GAUGE3D could not be found"
			echo "*** If GAUGE3D was installed in PREFIX, make sure PREFIX/bin is in"
			echo "*** your path, or set the GAUGE3D_CONFIG environment variable to the"
			echo "*** full path to gauge3d-config."
		else
			echo "*** 'gauge3d-config --version' returned $gauge3d_version, but the minimum"
			echo "*** version of GAUGE3D required is $min_gauge3d_version. If gauge3d-config"
			echo "*** is correct, then it is best to upgrade to the required version."
			echo "*** If gauge3d-config was wrong, set the environment variable GAUGE3D_CONFIG"
			echo "*** to point to the correct copy of gauge3d-config, and remove the file"
			echo "*** config.cache before re-running configure"
		fi
		GAUGE3D_CFLAGS=""
		GAUGE3D_LIBS=""
		ifelse([$3], , :, [$3])
	fi
	AC_SUBST(GAUGE3D_CFLAGS)
	AC_SUBST(GAUGE3D_LIBS)
])

