/* GAUGE^3D - Grand Unified (3D) Game Engine
 * Copyright (C) 2000 Kenton Varda
 * <http://www.gauge3d.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA
 */

// ===================================================================

// includes ==========================================================
// stddefs.h ---------------------------------------------------------
#ifndef __GAUGE3D_STDDEFS_H__INCLUDED__
#include "gauge3d/stddefs.h"
#endif //redundant include guard

// system ------------------------------------------------------------
// external packages -------------------------------------------------
// local package -----------------------------------------------------

// begin namespace ===================================================
namespace GAUGE3D {

GAUGE3D_API void*
GMalloc(int size)
{
	//insert room for the reference count infront of the allocated space.
	void* ret = malloc(size + sizeof(int));
	
	if(ret == NULL)
		return NULL;
	
	*((int*)ret) = 0;    //initialize reference count to 0
	return (int*)ret + 1;
}

GAUGE3D_API void
GFree(void* ptr)
{
	if(ptr == NULL)
		free(ptr);       //err...  on MSVC, STL deletes null poiters...  umm...
	else
		free((int*)ptr - 1);
}

} //namespace GAUGE3D
