/* GAUGE^3D - Grand Unified (3D) Game Engine
 * Copyright (C) 2000 Kenton Varda
 * <http://www.gauge3d.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA
 */

// ===================================================================

// includes ==========================================================
// component header --------------------------------------------------
#include "message.h"

// system ------------------------------------------------------------
// external packages -------------------------------------------------
// local package -----------------------------------------------------

// begin namespace ===================================================
namespace GAUGE3D {

// class member functions ============================================
GMessage::~GMessage() {};

GAUGE3D_DECLARE_INTERFACES(GMessage)
	GAUGE3D_DECLARE_BASECLASS(GObject)
GAUGE3D_END_INTERFACES


GQuitMessage::~GQuitMessage() {};

GAUGE3D_DECLARE_INTERFACES(GQuitMessage)
	GAUGE3D_DECLARE_BASECLASS(GMessage)
GAUGE3D_END_INTERFACES


GInputMessage::~GInputMessage() {};

GAUGE3D_DECLARE_INTERFACES(GInputMessage)
	GAUGE3D_DECLARE_BASECLASS(GMessage)
GAUGE3D_END_INTERFACES


GKeyboardMessage::~GKeyboardMessage() {};

GAUGE3D_DECLARE_INTERFACES(GKeyboardMessage)
	GAUGE3D_DECLARE_BASECLASS(GInputMessage)
GAUGE3D_END_INTERFACES


GMouseButtonMessage::~GMouseButtonMessage() {};

GAUGE3D_DECLARE_INTERFACES(GMouseButtonMessage)
	GAUGE3D_DECLARE_BASECLASS(GInputMessage)
GAUGE3D_END_INTERFACES


GMouseWheelMessage::~GMouseWheelMessage() {};

GAUGE3D_DECLARE_INTERFACES(GMouseWheelMessage)
	GAUGE3D_DECLARE_BASECLASS(GInputMessage)
GAUGE3D_END_INTERFACES


GMouseMotionMessage::~GMouseMotionMessage() {};

GAUGE3D_DECLARE_INTERFACES(GMouseMotionMessage)
	GAUGE3D_DECLARE_BASECLASS(GInputMessage)
GAUGE3D_END_INTERFACES

} //namespace GAUGE3D
