/* GAUGE^3D - Grand Unified (3D) Game Engine
 * Copyright (C) 2000 Kenton Varda
 * <http://www.gauge3d.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 * MA 02111-1307, USA
 */

// ===================================================================

#ifndef __GAUGE3D_OSABSTRACTION_TIMER_H__INCLUDED__
#define __GAUGE3D_OSABSTRACTION_TIMER_H__INCLUDED__

// includes ==========================================================
// stddefs.h ---------------------------------------------------------
#ifndef __GAUGE3D_STDDEFS_H__INCLUDED__
#include <gauge3d/stddefs.h>
#endif //redundant include guard

// system ------------------------------------------------------------
// external packages -------------------------------------------------
// local package -----------------------------------------------------

// begin namespace ===================================================
namespace GAUGE3D {

// class definition ==================================================
/*! \class GTimer
 * \ingroup osabstraction
 * \brief Access to the system clock.
 *
 * GTimer provides access to the system clock with millisecond accuracy.
 */
class GAUGE3D_API GTimer
{
public:
	// operations ------------------------------------------------------
	//! Initialized the engine timer and set it to the given time.
	static void Init(tTime startTime);
	
	//! Get the current time.
	static tTime Time();
	
	//! Pause the current thread for the given amount of time.
	static void Sleep(tTime length);
};

} // namespace GAUGE3D

#endif //included
